The SML of NJ Library
The `GenericXMLTree` structure

The `GenericXMLTree` structure provides a generic representation of XML trees where elements and attribute names are represented as `Atom.atom` values.

## Synopsis

    structure GenericXMLTree : XML_TREE
        where type Schema.element = Atom.atom
        where type Scheme.attribute = Atom.atom * string

## See Also

`XML_SCHEMA`, `XML_TREE`, The XML Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC